### Method

# GdkPixbuf Pixbuf scale_simple

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_scale_simple (
      const GdkPixbuf* src,
      int dest_width,
      int dest_height,
      GdkInterpType interp_type
    )

#### Description [src]

Create a new pixbuf containing a copy of `src` scaled to `dest_width` x `dest_height`.

This function leaves `src` unaffected.

The `interp_type` should be `GDK_INTERP_NEAREST` if you want maximum speed (but when scaling down `GDK_INTERP_NEAREST` is usually unusably ugly). The default `interp_type` should be `GDK_INTERP_BILINEAR` which offers reasonable quality and speed.

You can scale a sub-portion of `src` by creating a sub-pixbuf pointing into `src`; see `gdk_pixbuf_new_subpixbuf()`.

If `dest_width` and `dest_height` are equal to the width and height of `src`, this function will return an unscaled copy of `src`.

For more complicated scaling/alpha blending see `gdk_pixbuf_scale()` and `gdk_pixbuf_composite()`.

#### Parameters

`dest_width`

  Type: `int`

  The width of destination image.

`dest_height`

  Type: `int`

  The height of destination image.

`interp_type`

  Type: `GdkInterpType`

  The interpolation type for the transformation.

#### Return value

Type: `GdkPixbuf`

The new pixbuf.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.